﻿namespace Hotline.Share.Mq
{
    public class EventNames
    {
        /// <summary>
        /// 呼叫中心.黑名单电话过期
        /// </summary>
        public const string CallCenterBlackListExpired = "callcenter.blacklist.expired";

        /// <summary>
        /// 热线工单创建成功
        /// </summary>
        public const string HotlineOrderCreated = "hotline.order.created";

        /// <summary>
        /// 服务工单交办
        /// </summary>
        public const string HotlineOrderReceiveCaseInfo = "hotline.order.ReceiveCaseInfo";

        /// <summary>
        /// 服务工单退回反馈
        /// </summary>
        public const string HotlineOrderGetCaseBackResult = "hotline.order.GetCaseBackResult";

        /// <summary>
        /// 服务工单延时审核结果
        /// </summary>
        public const string HotlineOrderDelayCaseResultReceive = "hotline.order.DelayCaseResultReceive";

        /// <summary>
        /// 服务工单交办补充诉求
        /// </summary>
        public const string HotlineOrderSupplyCaseInfoReceive = "hotline.order.SupplyCaseInfoReceive";

        /// <summary>
        /// 服务工单撤单
        /// </summary>
        public const string HotlineOrderRevokeCaseInfo = "hotline.order.RevokeCaseInfo";

        /// <summary>
        /// 服务工单催单
        /// </summary>
        public const string HotlineOrderRemindCaseInfo = "hotline.order.RemindCaseInfo";

        /// <summary>
        /// 服务工单预警
        /// </summary>
        public const string HotlineOrderSendWarnInfo = "hotline.order.SendWarnInfo";

        /// <summary>
        /// 督办工单派发
        /// </summary>
        public const string HotlineOrderSendSuperviseInfo = "hotline.order.SendSuperviseInfo";

        /// <summary>
        /// 服务工单甄别结果
        /// </summary>
        public const string HotlineOrderScreenCaseResultReceive = "hotline.order.ScreenCaseResultReceive";

        /// <summary>
        /// 交办工单满意度接收
        /// </summary>
        public const string HotlineOrderSendCaseEvlResult = "hotline.order.SendCaseEvlResult";

        /// <summary>
        /// 上报工单处理结果/退回
        /// </summary>
        public const string HotlineOrderGetCaseReultSend = "hotline.order.GetCaseReultSend";

        /// <summary>
        /// 上报工单评价
        /// </summary>
        public const string HotlineOrderGetVisitInfoSend = "hotline.order.GetVisitInfoSend";
    }
}
